# SwerveDriveJson
declaration: package: swervelib.parser.json, class: SwerveDriveJson

Package swervelib.parser.json

# Class SwerveDriveJson

java.lang.Object
swervelib.parser.json.SwerveDriveJson

public class SwerveDriveJson extends Object
`SwerveDrive` JSON parsed class. Used to access parsed data from the swervedrive.json file.

## Field Summary

Fields
Modifier and Type
Field
Description
`DeviceJson`
`imu`
Robot IMU used to determine heading of the robot.
`boolean`
`invertedIMU`
Invert the IMU of the robot.
`String[]`
`modules`
Module JSONs in order clockwise order starting from front left.

## Constructor Summary

Constructors
Constructor
Description
`SwerveDriveJson()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### imu

public DeviceJson imu
Robot IMU used to determine heading of the robot.

### invertedIMU

public boolean invertedIMU
Invert the IMU of the robot.

### modules

public String[] modules
Module JSONs in order clockwise order starting from front left.

## Constructor Details

### SwerveDriveJson

public SwerveDriveJson()